%global _empty_manifest_terminate_build 0
Name:		python-cchardet
Version:	2.1.7
Release:	3
Summary:	cChardet is high speed universal character encoding detector.
License:	GPL-2.0-or-later and LGPL-2.1-only and MPL-1.1
URL:		https://github.com/PyYoshi/cChardet
Source0:	https://files.pythonhosted.org/packages/a8/5d/090c9f0312b7988a9433246c9cf0b566b1ae1374368cfb8ac897218a4f65/cchardet-2.1.7.tar.gz


%description
cChardet is high speed universal character encoding detector.

%package -n python3-cchardet
Summary:	cChardet is high speed universal character encoding detector.
Provides:	python-cchardet
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	python3-cffi
BuildRequires:	gcc gcc-c++
BuildRequires:	python3-Cython
%description -n python3-cchardet
cChardet is high speed universal character encoding detector.

%package help
Summary:	Development documents and examples for cchardet
Provides:	python3-cchardet-doc
%description help
cChardet is high speed universal character encoding detector.

%prep
%autosetup -n cchardet-2.1.7

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-cchardet -f filelist.lst
%dir %{python3_sitearch}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Wed Jul 12 2023 chenchen <chen_aka_jan@163.com> - 2.1.7-3
- Add python3-Cython to fix build failure caused by upgrading Python to 3.11.4

* Wed Aug 04 2021 chenyanpanHW <chenyanpan@huawei.com> - 2.1.7-2
- DESC: delete BuildRequires gdb

* Mon Aug 2 2021 Xu Jin <jinxu@kylinos.cn> - 2.1.7-1
- Update package to 2.1.7

* Tue Jul 27 2021 sunguoshuai <sunguoshuai@huawei.com> - 2.1.6-2
- Add gcc-c++ for buildrequires

* Wed Jul 29 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
